# ListReverseSyncRegistrations

List webhook registrations for a company.

`GET /api/v2/connector-sync/companies/{companyId}/registrations`

**API:** AvaTax API
**Tag:** ItemsReverseSync
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/ItemsReverseSync/ListReverseSyncRegistrations/

## Description

Returns all webhook registrations for the specified company.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns the webhook registrations. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success. Returns the webhook registrations for the specified company. | `ItemReverseSyncRegistrationOutputModelFetchResult` |
| 400 | Bad request. The request is invalid. |  |
| 401 | Unauthorized. Authentication failed or was not provided. |  |
| 404 | Not found. The requested resource was not found. |  |

### 200 Response: `ItemReverseSyncRegistrationOutputModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | ItemReverseSyncRegistrationOutputModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/connector-sync/companies/{companyId}/registrations" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```